﻿@page "{AccountID}"
@using Canyon.GM.Panel.Models.Rest.Account;
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.ConquerAccountsModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40 table-responsive">
    <table id="conquerAccountsTable" class="table table-bordered" aria-label="None">
        <thead>
            <tr>
                <th>#</th>
                <th>@StringLocalizer.GetString("UserName")</th>
                <th>@StringLocalizer.GetString("Type")</th>
                <th>@StringLocalizer.GetString("Status")</th>
                <th>@StringLocalizer.GetString("GameCharacter")</th>
            </tr>
        </thead>
        <tbody>
            @foreach (GameAccountResponse account in Model.ConquerAccounts)
            {
                <tr>
                    <td>@account.Id</td>
                    <td>@account.Username</td>
                    <td>@StringLocalizer.GetString($"Authority{account.AuthorityName}")</td>
                    <td>
                        @if (account.Flag.HasFlag(GameAccountService.GameAccountFlag.Locked))
                        {
                            <span class="badge text-bg-warning">@StringLocalizer.GetString("GameAccountLocked")</span>
                        }
                        else if (account.Flag.HasFlag(GameAccountService.GameAccountFlag.Banned))
                        {
                            string tooltip = "";
                            var accountBan = Model.BanReport.Game.FirstOrDefault(x => x.GameAccountId == account.Id);
                            if (accountBan != null)
                            {
                                tooltip = $"data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"{string.Format(StringLocalizer.GetString("BannedUntil", accountBan.To))}\"";
                            }

                            <span class="badge text-bg-danger" @Html.Raw(tooltip)>@StringLocalizer.GetString("GameAccountBanned")</span>
                        }
                        else
                        {
                            <span class="badge text-bg-success">@StringLocalizer.GetString("GameAccountActive")</span>
                        }
                    </td>
                    <td>
                        @if (account.Characters.Count == 0)
                        {
                            @StringLocalizer.GetString("NoGameCharacters")
                        }
                        else
                        {
                            foreach (var character in account.Characters)
                            {
                                <p class="mb-0"><small>@character.RealmName</small><br />@character.Name</p>
                            }
                        }
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>